% BRODATZ_DATA2 Make classification data from textures 5, 9 and 13.
%

% Modifications:
% 25-aug-2004, VF

trn_data = load_data('../data/brodatz_trn',{5,9,13});
tst_data = load_data('../data/brodatz_tst',{5,9,13});

% decrease dimension by PCA to 100
pca_model = pca(trn_data.X,100);
trn_data.X = linproj( trn_data.X, pca_model);
tst_data.X = linproj( tst_data.X, pca_model);

savestruct(trn_data,'../data/brodatz2_trn');
savestruct(tst_data,'../data/brodatz2_tst');

% EOF
